---
title: Create Store (SCIM)
description: The POST {{apiPath}}/v1/environments/{{envID}}/propagation/stores operation adds a new identity store resource to the specified environment resource.
component: pingone-api
page_id: pingone-api:platform:identity-propagation-provisioning/propagation-stores/create-store-scim
canonical_url: https://developer.pingidentity.com/pingone-api/platform/identity-propagation-provisioning/propagation-stores/create-store-scim.html
section_ids:
  prerequisites: Prerequisites
  headers: Headers
  body: Body
  example-request: Example Request
  example-response: Example Response
---

# Create Store (SCIM)

##

```none
POST {{apiPath}}/v1/environments/{{envID}}/propagation/stores
```

The `POST {{apiPath}}/v1/environments/{{envID}}/propagation/stores` operation adds a new identity store resource to the specified environment resource.

Note that this propagation store makes PingOne a SCIM *Client* - sending identities outbound for creation in foreign systems. To make PingOne a SCIM *Service Provider* - the system which accepts incoming user provisioning and user update requests - refer to [PingOne SCIM API](../../scim.html).

> **Collapse: Request Model**
>
> Refer to [Propagation store base data model](../propagation-stores.html#propagation-store-base-data-model) and [Propagation store SCIM configuration data model](../propagation-stores.html#propagation-store-scim-configuration-data-model) for full property descriptions.
>
> | Property                                     | Type    | Required? |
> | -------------------------------------------- | ------- | --------- |
> | `configuration.AUTHENTICATION_METHOD`        | String  | Required  |
> | `configuration.AUTHORIZATION_TYPE`           | String  | Required  |
> | `configuration.BASIC_AUTH_PASSWORD`          | String  | Required  |
> | `configuration.BASIC_AUTH_USER`              | String  | Required  |
> | `configuration.CREATE_USERS`                 | Boolean | Optional  |
> | `configuration.createNewUsers` (deprecated)  | Boolean | Optional  |
> | `configuration.DISABLE_USERS`                | Boolean | Optional  |
> | `configuration.disableNewUsers` (deprecated) | Boolean | Optional  |
> | `configuration.GROUP_MEMBERSHIP_HANDLING`    | String  | Optional  |
> | `configuration.GROUP_NAME_SOURCE`            | String  | Optional  |
> | `configuration.GROUPS_RESOURCE`              | String  | Optional  |
> | `configuration.OAUTH_ACCESS_TOKEN`           | String  | Optional  |
> | `configuration.OAUTH_CLIENT_ID`              | String  | Optional  |
> | `configuration.OAUTH_CLIENT_SECRET`          | String  | Optional  |
> | `configuration.OAUTH_TOKEN_REQUEST`          | String  | Optional  |
> | `configuration.REMOVE_ACTION`                | String  | Optional  |
> | `configuration.SCHEMA_EXTENSION_URNS`        | String  | Optional  |
> | `configuration.SCIM_URL`                     | String  | Required  |
> | `configuration.SCIM_VERSION`                 | String  | Required  |
> | `configuration.UNIQUE_USER_IDENTIFIER`       | String  | Required  |
> | `configuration.UPDATE_USERS`                 | Boolean | Optional  |
> | `configuration.updateNewUsers` (deprecated)  | Boolean | Optional  |
> | `configuration.USER_FILTER`                  | String  | Required  |
> | `configuration.USERS_RESOURCE`               | String  | Required  |
> | `description`                                | String  | Optional  |
> | `image.href`                                 | String  | Optional  |
> | `managed`                                    | Boolean | Optional  |
> | `name`                                       | String  | Required  |
> | `status`                                     | String  | Optional  |
> | `type`                                       | String  | Required  |

### Prerequisites

* Refer to [Identity Propagation (Provisioning)](../../identity-propagation-provisioning.html) for important overview information.

This operation sends and returns the connection properties for an identity store with `"type":"scim"`. For information on the available and required keys in the `configuration` object of the request body, review `connectionProfiles[].connectionAttributes[]` and `attributeMetadata.capabilities[]` in the response to [POST Identity Propagation Store Metadata (SCIM)](../propagation-store-metadata/identity-propagation-store-metadata-scim.html).

### Headers

Authorization      Bearer {{accessToken}}

Content-Type      application/json

### Body

raw ( application/json )

```json
{
    "type": "scim",
    "name": "scim",
    "configuration": {
        "AUTHENTICATION_METHOD": "None",
        "USER_FILTER": "username Eq \"%s\"",
        "UNIQUE_USER_IDENTIFIER": "userName",
        "REMOVE_ACTION": "Disable",
        "CREATE_USERS": true,
        "UPDATE_USERS": true,
        "DISABLE_USERS": true,
        "REMOVE_ACTION": "Delete",
        "GROUP_MEMBERSHIP_HANDLING": "Overwrite",
        "GROUP_NAME_SOURCE": "Distinguished Name",
        "GROUPS_RESOURCE": "/Groups",
        "USERS_RESOURCE": "/Users",
        "SCIM_VERSION": "2.0",
        "SCIM_URL": "https://example.com",
        "AUTHORIZATION_TYPE": "Basic",
        "OAUTH_ACCESS_TOKEN": "yourAccessToken",
        "OAUTH_TOKEN_REQUEST": "https://example.com/oauthtoken",
        "OAUTH_CLIENT_ID": "yourOauthClientId",
        "OAUTH_CLIENT_SECRET": "yourOauthClientSecret",
        "BASIC_AUTH_USER": "{{basicAuthUsername}}",
        "BASIC_AUTH_PASSWORD": "{{basicAuthPassword}}"
    }
}
```

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff '{{apiPath}}/v1/environments/{{envID}}/propagation/stores' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{accessToken}}' \
--data '{
    "type": "scim",
    "name": "scim",
    "configuration": {
        "AUTHENTICATION_METHOD": "None",
        "USER_FILTER": "username Eq \"%s\"",
        "UNIQUE_USER_IDENTIFIER": "userName",
        "REMOVE_ACTION": "Disable",
        "CREATE_USERS": true,
        "UPDATE_USERS": true,
        "DISABLE_USERS": true,
        "REMOVE_ACTION": "Delete",
        "GROUP_MEMBERSHIP_HANDLING": "Overwrite",
        "GROUP_NAME_SOURCE": "Distinguished Name",
        "GROUPS_RESOURCE": "/Groups",
        "USERS_RESOURCE": "/Users",
        "SCIM_VERSION": "2.0",
        "SCIM_URL": "https://example.com",
        "AUTHORIZATION_TYPE": "Basic",
        "OAUTH_ACCESS_TOKEN": "yourAccessToken",
        "OAUTH_TOKEN_REQUEST": "https://example.com/oauthtoken",
        "OAUTH_CLIENT_ID": "yourOauthClientId",
        "OAUTH_CLIENT_SECRET": "yourOauthClientSecret",
        "BASIC_AUTH_USER": "{{basicAuthUsername}}",
        "BASIC_AUTH_PASSWORD": "{{basicAuthPassword}}"
    }
}'
```

```csharp
var options = new RestClientOptions("{{apiPath}}/v1/environments/{{envID}}/propagation/stores")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Post);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Authorization", "Bearer {{accessToken}}");
var body = @"{" + "\n" +
@"    ""type"": ""scim""," + "\n" +
@"    ""name"": ""scim""," + "\n" +
@"    ""configuration"": {" + "\n" +
@"        ""AUTHENTICATION_METHOD"": ""None""," + "\n" +
@"        ""USER_FILTER"": ""username Eq \""%s\""""," + "\n" +
@"        ""UNIQUE_USER_IDENTIFIER"": ""userName""," + "\n" +
@"        ""REMOVE_ACTION"": ""Disable""," + "\n" +
@"        ""CREATE_USERS"": true," + "\n" +
@"        ""UPDATE_USERS"": true," + "\n" +
@"        ""DISABLE_USERS"": true," + "\n" +
@"        ""REMOVE_ACTION"": ""Delete""," + "\n" +
@"        ""GROUP_MEMBERSHIP_HANDLING"": ""Overwrite""," + "\n" +
@"        ""GROUP_NAME_SOURCE"": ""Distinguished Name""," + "\n" +
@"        ""GROUPS_RESOURCE"": ""/Groups""," + "\n" +
@"        ""USERS_RESOURCE"": ""/Users""," + "\n" +
@"        ""SCIM_VERSION"": ""2.0""," + "\n" +
@"        ""SCIM_URL"": ""https://example.com""," + "\n" +
@"        ""AUTHORIZATION_TYPE"": ""Basic""," + "\n" +
@"        ""OAUTH_ACCESS_TOKEN"": ""yourAccessToken""," + "\n" +
@"        ""OAUTH_TOKEN_REQUEST"": ""https://example.com/oauthtoken""," + "\n" +
@"        ""OAUTH_CLIENT_ID"": ""yourOauthClientId""," + "\n" +
@"        ""OAUTH_CLIENT_SECRET"": ""yourOauthClientSecret""," + "\n" +
@"        ""BASIC_AUTH_USER"": ""{{basicAuthUsername}}""," + "\n" +
@"        ""BASIC_AUTH_PASSWORD"": ""{{basicAuthPassword}}""" + "\n" +
@"    }" + "\n" +
@"}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/v1/environments/{{envID}}/propagation/stores"
  method := "POST"

  payload := strings.NewReader(`{
    "type": "scim",
    "name": "scim",
    "configuration": {
        "AUTHENTICATION_METHOD": "None",
        "USER_FILTER": "username Eq \"%s\"",
        "UNIQUE_USER_IDENTIFIER": "userName",
        "REMOVE_ACTION": "Disable",
        "CREATE_USERS": true,
        "UPDATE_USERS": true,
        "DISABLE_USERS": true,
        "REMOVE_ACTION": "Delete",
        "GROUP_MEMBERSHIP_HANDLING": "Overwrite",
        "GROUP_NAME_SOURCE": "Distinguished Name",
        "GROUPS_RESOURCE": "/Groups",
        "USERS_RESOURCE": "/Users",
        "SCIM_VERSION": "2.0",
        "SCIM_URL": "https://example.com",
        "AUTHORIZATION_TYPE": "Basic",
        "OAUTH_ACCESS_TOKEN": "yourAccessToken",
        "OAUTH_TOKEN_REQUEST": "https://example.com/oauthtoken",
        "OAUTH_CLIENT_ID": "yourOauthClientId",
        "OAUTH_CLIENT_SECRET": "yourOauthClientSecret",
        "BASIC_AUTH_USER": "{{basicAuthUsername}}",
        "BASIC_AUTH_PASSWORD": "{{basicAuthPassword}}"
    }
}`)

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Content-Type", "application/json")
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
POST /v1/environments/{{envID}}/propagation/stores HTTP/1.1
Host: {{apiPath}}
Content-Type: application/json
Authorization: Bearer {{accessToken}}

{
    "type": "scim",
    "name": "scim",
    "configuration": {
        "AUTHENTICATION_METHOD": "None",
        "USER_FILTER": "username Eq \"%s\"",
        "UNIQUE_USER_IDENTIFIER": "userName",
        "REMOVE_ACTION": "Disable",
        "CREATE_USERS": true,
        "UPDATE_USERS": true,
        "DISABLE_USERS": true,
        "REMOVE_ACTION": "Delete",
        "GROUP_MEMBERSHIP_HANDLING": "Overwrite",
        "GROUP_NAME_SOURCE": "Distinguished Name",
        "GROUPS_RESOURCE": "/Groups",
        "USERS_RESOURCE": "/Users",
        "SCIM_VERSION": "2.0",
        "SCIM_URL": "https://example.com",
        "AUTHORIZATION_TYPE": "Basic",
        "OAUTH_ACCESS_TOKEN": "yourAccessToken",
        "OAUTH_TOKEN_REQUEST": "https://example.com/oauthtoken",
        "OAUTH_CLIENT_ID": "yourOauthClientId",
        "OAUTH_CLIENT_SECRET": "yourOauthClientSecret",
        "BASIC_AUTH_USER": "{{basicAuthUsername}}",
        "BASIC_AUTH_PASSWORD": "{{basicAuthPassword}}"
    }
}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n    \"type\": \"scim\",\n    \"name\": \"scim\",\n    \"configuration\": {\n        \"AUTHENTICATION_METHOD\": \"None\",\n        \"USER_FILTER\": \"username Eq \\\"%s\\\"\",\n        \"UNIQUE_USER_IDENTIFIER\": \"userName\",\n        \"REMOVE_ACTION\": \"Disable\",\n        \"CREATE_USERS\": true,\n        \"UPDATE_USERS\": true,\n        \"DISABLE_USERS\": true,\n        \"REMOVE_ACTION\": \"Delete\",\n        \"GROUP_MEMBERSHIP_HANDLING\": \"Overwrite\",\n        \"GROUP_NAME_SOURCE\": \"Distinguished Name\",\n        \"GROUPS_RESOURCE\": \"/Groups\",\n        \"USERS_RESOURCE\": \"/Users\",\n        \"SCIM_VERSION\": \"2.0\",\n        \"SCIM_URL\": \"https://example.com\",\n        \"AUTHORIZATION_TYPE\": \"Basic\",\n        \"OAUTH_ACCESS_TOKEN\": \"yourAccessToken\",\n        \"OAUTH_TOKEN_REQUEST\": \"https://example.com/oauthtoken\",\n        \"OAUTH_CLIENT_ID\": \"yourOauthClientId\",\n        \"OAUTH_CLIENT_SECRET\": \"yourOauthClientSecret\",\n        \"BASIC_AUTH_USER\": \"{{basicAuthUsername}}\",\n        \"BASIC_AUTH_PASSWORD\": \"{{basicAuthPassword}}\"\n    }\n}");
Request request = new Request.Builder()
  .url("{{apiPath}}/v1/environments/{{envID}}/propagation/stores")
  .method("POST", body)
  .addHeader("Content-Type", "application/json")
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{apiPath}}/v1/environments/{{envID}}/propagation/stores",
  "method": "POST",
  "timeout": 0,
  "headers": {
    "Content-Type": "application/json",
    "Authorization": "Bearer {{accessToken}}"
  },
  "data": JSON.stringify({
    "type": "scim",
    "name": "scim",
    "configuration": {
      "AUTHENTICATION_METHOD": "None",
      "USER_FILTER": "username Eq \"%s\"",
      "UNIQUE_USER_IDENTIFIER": "userName",
      "REMOVE_ACTION": "Delete",
      "CREATE_USERS": true,
      "UPDATE_USERS": true,
      "DISABLE_USERS": true,
      "GROUP_MEMBERSHIP_HANDLING": "Overwrite",
      "GROUP_NAME_SOURCE": "Distinguished Name",
      "GROUPS_RESOURCE": "/Groups",
      "USERS_RESOURCE": "/Users",
      "SCIM_VERSION": "2.0",
      "SCIM_URL": "https://example.com",
      "AUTHORIZATION_TYPE": "Basic",
      "OAUTH_ACCESS_TOKEN": "yourAccessToken",
      "OAUTH_TOKEN_REQUEST": "https://example.com/oauthtoken",
      "OAUTH_CLIENT_ID": "yourOauthClientId",
      "OAUTH_CLIENT_SECRET": "yourOauthClientSecret",
      "BASIC_AUTH_USER": "{{basicAuthUsername}}",
      "BASIC_AUTH_PASSWORD": "{{basicAuthPassword}}"
    }
  }),
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'POST',
  'url': '{{apiPath}}/v1/environments/{{envID}}/propagation/stores',
  'headers': {
    'Content-Type': 'application/json',
    'Authorization': 'Bearer {{accessToken}}'
  },
  body: JSON.stringify({
    "type": "scim",
    "name": "scim",
    "configuration": {
      "AUTHENTICATION_METHOD": "None",
      "USER_FILTER": "username Eq \"%s\"",
      "UNIQUE_USER_IDENTIFIER": "userName",
      "REMOVE_ACTION": "Delete",
      "CREATE_USERS": true,
      "UPDATE_USERS": true,
      "DISABLE_USERS": true,
      "GROUP_MEMBERSHIP_HANDLING": "Overwrite",
      "GROUP_NAME_SOURCE": "Distinguished Name",
      "GROUPS_RESOURCE": "/Groups",
      "USERS_RESOURCE": "/Users",
      "SCIM_VERSION": "2.0",
      "SCIM_URL": "https://example.com",
      "AUTHORIZATION_TYPE": "Basic",
      "OAUTH_ACCESS_TOKEN": "yourAccessToken",
      "OAUTH_TOKEN_REQUEST": "https://example.com/oauthtoken",
      "OAUTH_CLIENT_ID": "yourOauthClientId",
      "OAUTH_CLIENT_SECRET": "yourOauthClientSecret",
      "BASIC_AUTH_USER": "{{basicAuthUsername}}",
      "BASIC_AUTH_PASSWORD": "{{basicAuthPassword}}"
    }
  })

};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests
import json

url = "{{apiPath}}/v1/environments/{{envID}}/propagation/stores"

payload = json.dumps({
  "type": "scim",
  "name": "scim",
  "configuration": {
    "AUTHENTICATION_METHOD": "None",
    "USER_FILTER": "username Eq \"%s\"",
    "UNIQUE_USER_IDENTIFIER": "userName",
    "REMOVE_ACTION": "Delete",
    "CREATE_USERS": True,
    "UPDATE_USERS": True,
    "DISABLE_USERS": True,
    "GROUP_MEMBERSHIP_HANDLING": "Overwrite",
    "GROUP_NAME_SOURCE": "Distinguished Name",
    "GROUPS_RESOURCE": "/Groups",
    "USERS_RESOURCE": "/Users",
    "SCIM_VERSION": "2.0",
    "SCIM_URL": "https://example.com",
    "AUTHORIZATION_TYPE": "Basic",
    "OAUTH_ACCESS_TOKEN": "yourAccessToken",
    "OAUTH_TOKEN_REQUEST": "https://example.com/oauthtoken",
    "OAUTH_CLIENT_ID": "yourOauthClientId",
    "OAUTH_CLIENT_SECRET": "yourOauthClientSecret",
    "BASIC_AUTH_USER": "{{basicAuthUsername}}",
    "BASIC_AUTH_PASSWORD": "{{basicAuthPassword}}"
  }
})
headers = {
  'Content-Type': 'application/json',
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/v1/environments/{{envID}}/propagation/stores');
$request->setMethod(HTTP_Request2::METHOD_POST);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Content-Type' => 'application/json',
  'Authorization' => 'Bearer {{accessToken}}'
));
$request->setBody('{\n    "type": "scim",\n    "name": "scim",\n    "configuration": {\n        "AUTHENTICATION_METHOD": "None",\n        "USER_FILTER": "username Eq \\"%s\\"",\n        "UNIQUE_USER_IDENTIFIER": "userName",\n        "REMOVE_ACTION": "Disable",\n        "CREATE_USERS": true,\n        "UPDATE_USERS": true,\n        "DISABLE_USERS": true,\n        "REMOVE_ACTION": "Delete",\n        "GROUP_MEMBERSHIP_HANDLING": "Overwrite",\n        "GROUP_NAME_SOURCE": "Distinguished Name",\n        "GROUPS_RESOURCE": "/Groups",\n        "USERS_RESOURCE": "/Users",\n        "SCIM_VERSION": "2.0",\n        "SCIM_URL": "https://example.com",\n        "AUTHORIZATION_TYPE": "Basic",\n        "OAUTH_ACCESS_TOKEN": "yourAccessToken",\n        "OAUTH_TOKEN_REQUEST": "https://example.com/oauthtoken",\n        "OAUTH_CLIENT_ID": "yourOauthClientId",\n        "OAUTH_CLIENT_SECRET": "yourOauthClientSecret",\n        "BASIC_AUTH_USER": "{{basicAuthUsername}}",\n        "BASIC_AUTH_PASSWORD": "{{basicAuthPassword}}"\n    }\n}');
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "json"
require "net/http"

url = URI("{{apiPath}}/v1/environments/{{envID}}/propagation/stores")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Post.new(url)
request["Content-Type"] = "application/json"
request["Authorization"] = "Bearer {{accessToken}}"
request.body = JSON.dump({
  "type": "scim",
  "name": "scim",
  "configuration": {
    "AUTHENTICATION_METHOD": "None",
    "USER_FILTER": "username Eq \"%s\"",
    "UNIQUE_USER_IDENTIFIER": "userName",
    "REMOVE_ACTION": "Delete",
    "CREATE_USERS": true,
    "UPDATE_USERS": true,
    "DISABLE_USERS": true,
    "GROUP_MEMBERSHIP_HANDLING": "Overwrite",
    "GROUP_NAME_SOURCE": "Distinguished Name",
    "GROUPS_RESOURCE": "/Groups",
    "USERS_RESOURCE": "/Users",
    "SCIM_VERSION": "2.0",
    "SCIM_URL": "https://example.com",
    "AUTHORIZATION_TYPE": "Basic",
    "OAUTH_ACCESS_TOKEN": "yourAccessToken",
    "OAUTH_TOKEN_REQUEST": "https://example.com/oauthtoken",
    "OAUTH_CLIENT_ID": "yourOauthClientId",
    "OAUTH_CLIENT_SECRET": "yourOauthClientSecret",
    "BASIC_AUTH_USER": "{{basicAuthUsername}}",
    "BASIC_AUTH_PASSWORD": "{{basicAuthPassword}}"
  }
})

response = http.request(request)
puts response.read_body
```

```swift
let parameters = "{\n    \"type\": \"scim\",\n    \"name\": \"scim\",\n    \"configuration\": {\n        \"AUTHENTICATION_METHOD\": \"None\",\n        \"USER_FILTER\": \"username Eq \\\"%s\\\"\",\n        \"UNIQUE_USER_IDENTIFIER\": \"userName\",\n        \"REMOVE_ACTION\": \"Disable\",\n        \"CREATE_USERS\": true,\n        \"UPDATE_USERS\": true,\n        \"DISABLE_USERS\": true,\n        \"REMOVE_ACTION\": \"Delete\",\n        \"GROUP_MEMBERSHIP_HANDLING\": \"Overwrite\",\n        \"GROUP_NAME_SOURCE\": \"Distinguished Name\",\n        \"GROUPS_RESOURCE\": \"/Groups\",\n        \"USERS_RESOURCE\": \"/Users\",\n        \"SCIM_VERSION\": \"2.0\",\n        \"SCIM_URL\": \"https://example.com\",\n        \"AUTHORIZATION_TYPE\": \"Basic\",\n        \"OAUTH_ACCESS_TOKEN\": \"yourAccessToken\",\n        \"OAUTH_TOKEN_REQUEST\": \"https://example.com/oauthtoken\",\n        \"OAUTH_CLIENT_ID\": \"yourOauthClientId\",\n        \"OAUTH_CLIENT_SECRET\": \"yourOauthClientSecret\",\n        \"BASIC_AUTH_USER\": \"{{basicAuthUsername}}\",\n        \"BASIC_AUTH_PASSWORD\": \"{{basicAuthPassword}}\"\n    }\n}"
let postData = parameters.data(using: .utf8)

var request = URLRequest(url: URL(string: "{{apiPath}}/v1/environments/{{envID}}/propagation/stores")!,timeoutInterval: Double.infinity)
request.addValue("application/json", forHTTPHeaderField: "Content-Type")
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "POST"
request.httpBody = postData

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

201 Created

```json
{
    "id": "06393c25-37f1-46da-af5d-0d518d0ebce2",
    "environment": {
        "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
    },
    "createdAt": "2024-08-07T15:52:17.962Z",
    "updatedAt": "2024-08-07T15:52:17.962Z",
    "image": {},
    "type": "scim",
    "status": "INACTIVE",
    "configuration": {
        "AUTHENTICATION_METHOD": "None",
        "USER_FILTER": "username Eq \"%s\"",
        "UNIQUE_USER_IDENTIFIER": "userName",
        "REMOVE_ACTION": "Delete",
        "CREATE_USERS": true,
        "UPDATE_USERS": true,
        "DISABLE_USERS": true,
        "GROUP_MEMBERSHIP_HANDLING": "Overwrite",
        "GROUP_NAME_SOURCE": "Distinguished Name",
        "GROUPS_RESOURCE": "/Groups",
        "USERS_RESOURCE": "/Users",
        "SCIM_VERSION": "2.0",
        "SCIM_URL": "https://example.com",
        "AUTHORIZATION_TYPE": "Basic",
        "OAUTH_ACCESS_TOKEN": "yourAccessToken",
        "OAUTH_TOKEN_REQUEST": "https://example.com/oauthtoken",
        "OAUTH_CLIENT_ID": "{{yourOauthClientId}}",
        "OAUTH_CLIENT_SECRET": "{{yourOauthClientSecret}}",
        "BASIC_AUTH_USER": "{{basicAuthUsername}}",
        "BASIC_AUTH_PASSWORD": "{{basicAuthPassword}}"
    },
    "name": "scim",
    "_links": {
        "self": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/propagation/stores/06393c25-37f1-46da-af5d-0d518d0ebce2"
        },
        "update": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/propagation/stores/06393c25-37f1-46da-af5d-0d518d0ebce2"
        },
        "delete": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/propagation/stores/06393c25-37f1-46da-af5d-0d518d0ebce2"
        }
    }
}
```
